const  mongoose = require('mongoose');

const  Schema = mongoose.Schema;

const userSchema = new Schema({
    user_id:{type:String,required:true},
    user_nic:{type:String,required:false},
    user_email: {type:String,required:true},
    user_password:{type:String,required:true},
    user_type:{type:String,required:true},
    confirmed: {
        type: Boolean,
        default: true
    }
});


const UserAccount = mongoose.model('UserAccount',userSchema);

module.exports = UserAccount;